--- Makefile.orig	2014-12-11 08:42:25.000000000 -0600
+++ Makefile	2015-09-18 07:13:58.000000000 -0500
@@ -33,14 +33,14 @@
 # define macros
 dylib = dylib
 dynamiclib = -dynamiclib
+installname = -install_name ${prefix}/lib/
 bindir = bin
 objdir = obj
 ipath=$(prefix)/bin
 CBASEFLAGS = -W -Wall -fno-rtti -fno-exceptions
-UNIVFLAGS = -arch i386 -arch x86_64
 JAVAINCS   = -I/System/Library/Frameworks/JavaVM.framework/Headers
 CXX = clang++
-INSTALL=install -o $(USER) -g wheel
+INSTALL=install
 # INSTALL=install -o 0 -g 0
 
 # set debug directories for DEBUG=1 on the command line
@@ -53,6 +53,7 @@
 ifdef linux
     dylib = so
     dynamiclib = -shared
+    installname = -Wl,-soname,
     JAVAINCS   = -I$(JAVA_HOME)/include
 endif
 
@@ -125,7 +126,7 @@
 shared:  libastyle-2.05.1.$(dylib)
 libastyle-2.05.1.$(dylib):  $(OBJs)
 	@ mkdir -p $(bindir)
-	$(CXX) $(dynamiclib) $(LDFLAGSr) $(UNIVFLAGS) -o $(bindir)/$@ $^
+	$(CXX) $(dynamiclib) $(installname)libastyle-2.05.1.$(dylib) $(LDFLAGSr) $(UNIVFLAGS) -o $(bindir)/$@ $^
 	@ echo
 
 static:  libastyle.a
@@ -137,7 +138,7 @@
 java:  libastyle-2.05.1j.$(dylib)
 libastyle-2.05.1j.$(dylib):  $(OBJsj)
 	@ mkdir -p $(bindir)
-	$(CXX) $(dynamiclib) $(LDFLAGSr) $(UNIVFLAGS) -o $(bindir)/$@ $^
+	$(CXX) $(dynamiclib) $(installname)libastyle-2.05.1j.$(dylib) $(LDFLAGSr) $(UNIVFLAGS) -o $(bindir)/$@ $^
 	@ echo
 
 all:  release  static  shared
@@ -148,25 +149,35 @@
 cleanobj:
 	rm -f $(objdir)/*.o
 
-install:
-	$(INSTALL) -m 755 -d $(ipath)
-	@$(INSTALL) -m 755 $(bindir)/astyle  $(ipath)
+install:  release
+	$(INSTALL) -m 755 -d $(DESTDIR)$(ipath)
+	$(INSTALL) -m 755 $(bindir)/astyle  $(DESTDIR)$(ipath)
 
-	@if [ -d $(SYSCONF_PATH)/html ]; then \
-		rm -rf  $(SYSCONF_PATH)/html; \
+	@if [ -d $(DESTDIR)$(SYSCONF_PATH)/html ]; then \
+		rm -rf  $(DESTDIR)$(SYSCONF_PATH)/html; \
 	fi
 
-	$(INSTALL) -m 755 -d $(SYSCONF_PATH)
-	@mkdir -p $(SYSCONF_PATH)/html;
+	$(INSTALL) -m 755 -d $(DESTDIR)$(SYSCONF_PATH)
+	@mkdir -p $(DESTDIR)$(SYSCONF_PATH)/html;
 	@for files in ../../doc/*.html  ../../doc/*.css; \
 	do \
-		$(INSTALL)  -m 644  $$files  $(SYSCONF_PATH)/html; \
+		$(INSTALL)  -m 644  $$files  $(DESTDIR)$(SYSCONF_PATH)/html; \
 	done
 
-	@if [ -d $(SYSCONF_PATH_OLD) ];  then \
-		rm -rf $(SYSCONF_PATH_OLD); \
+	@if [ -d $(DESTDIR)$(SYSCONF_PATH_OLD) ];  then \
+		rm -rf $(DESTDIR)$(SYSCONF_PATH_OLD); \
 	fi
 
+install-lib:  static shared
+	$(INSTALL) -m 755 -d $(DESTDIR)$(prefix)/lib
+	$(INSTALL) $(bindir)/libastyle.a $(bindir)/libastyle-2.05.1.$(dylib) $(DESTDIR)$(prefix)/lib
+	ln -s libastyle-2.05.1.$(dylib) $(DESTDIR)$(prefix)/lib/libastyle.$(dylib)
+
+install-jnilib:  java
+	$(INSTALL) -m 755 -d $(DESTDIR)$(prefix)/lib
+	$(INSTALL) $(bindir)/libastyle-2.05.1j.$(dylib) $(DESTDIR)$(prefix)/lib
+	ln -s libastyle-2.05.1j.$(dylib) $(DESTDIR)$(prefix)/lib/libastylej.$(dylib)
+
 uninstall:
 	rm -f $(ipath)/astyle
 	rm -rf $(SYSCONF_PATH)
